-# WAIT! Before adding more items to the nav bar, please see
-# https://gitlab.com/gitlab-org/gitlab-foss/issues/49713 for more information.
%ul.list-unstyled.navbar-sub-nav
  - if dashboard_nav_link?(:projects)
    = nav_link(path: ['root#index', 'projects#trending', 'projects#starred', 'dashboard/projects#index'], html_options: { id: 'nav-projects-dropdown', class: "home dropdown header-projects qa-projects-dropdown", data: { track_label: "projects_dropdown", track_event: "click_dropdown", track_value: "" } }) do
      %button.btn{ type: 'button', data: { toggle: "dropdown" } }
        = _('Projects')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/projects_dropdown/show"

  - if dashboard_nav_link?(:groups)
    = nav_link(controller: ['dashboard/groups', 'explore/groups'], html_options: { id: 'nav-groups-dropdown', class: "d-none d-md-block home dropdown header-groups qa-groups-dropdown", data: { track_label: "groups_dropdown", track_event: "click_dropdown", track_value: "" } }) do
      %button.btn{ type: 'button', data: { toggle: "dropdown" } }
        = _('Groups')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu.frequent-items-dropdown-menu
        = render "layouts/nav/groups_dropdown/show"

  = render_if_exists 'layouts/nav/sidebar/analytics_link'

  - if any_dashboard_nav_link?([:groups, :milestones, :activity, :snippets])
    %li.header-more.dropdown
      %a{ href: "#", data: { toggle: "dropdown" } }
        = _('More')
        = sprite_icon('angle-down', css_class: 'caret-down')
      .dropdown-menu
        %ul
          - if dashboard_nav_link?(:groups)
            %li.d-md-none
              = link_to dashboard_groups_path do
                = _('Groups')
          - if dashboard_nav_link?(:activity)
            = nav_link(path: 'dashboard#activity') do
              = link_to activity_dashboard_path do
                = _('Activity')

          - if dashboard_nav_link?(:milestones)
            = nav_link(controller: 'dashboard/milestones') do
              = link_to dashboard_milestones_path, class: 'dashboard-shortcuts-milestones' do
                = _('Milestones')

          - if dashboard_nav_link?(:snippets)
            = nav_link(controller: 'dashboard/snippets') do
              = link_to dashboard_snippets_path, class: 'dashboard-shortcuts-snippets qa-snippets-link' do
                = _('Snippets')

          = render_if_exists 'layouts/nav/sidebar/analytics_more_link'

          %li.dropdown
            = render_if_exists 'dashboard/nav_link_list'
          - if can?(current_user, :read_instance_statistics)
            = nav_link(controller: [:conversational_development_index, :cohorts]) do
              = link_to instance_statistics_root_path do
                = _('Instance Statistics')
          - if current_user.admin?
            = nav_link(controller: 'admin/dashboard') do
              = link_to admin_root_path, class: 'admin-icon qa-admin-area-link d-xl-none' do
                = _('Admin Area')
            - if Feature.enabled?(:user_mode_in_session)
              - if header_link?(:admin_mode)
                = nav_link(controller: 'admin/sessions') do
                  = link_to destroy_admin_session_path, class: 'd-lg-none lock-open-icon' do
                    = _('Leave admin mode')
              - elsif current_user.admin?
                = nav_link(controller: 'admin/sessions') do
                  = link_to new_admin_session_path, class: 'd-lg-none lock-icon' do
                    = _('Enter admin mode')
          - if Gitlab::Sherlock.enabled?
            %li
              = link_to sherlock_transactions_path, class: 'admin-icon' do
                = _('Sherlock Transactions')

  - if current_user.admin?
    = nav_link(controller: 'admin/dashboard', html_options: { class: "d-none d-xl-block"}) do
      = link_to admin_root_path, class: 'admin-icon qa-admin-area-link', title: _('Admin Area'), aria: { label: _('Admin Area') }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
        = sprite_icon('admin', size: 18)


  -# Shortcut to Dashboard > Projects
  - if dashboard_nav_link?(:projects)
    %li.hidden
      = link_to dashboard_projects_path, class: 'dashboard-shortcuts-projects' do
        = _('Projects')

  = render_if_exists 'layouts/nav/geo_primary_node_url'
